$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-531eb04fd74eaba9601dedebd06ad87ddb9e173d/rpcs3-v0.0.12-10958-531eb04f_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'be6da63ece8e52115bc6089e7025a0655311c743e717254ebc439c7c80fa6af8'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
